;-----------------------------------------------------------------------------
; TopPage
;-----------------------------------------------------------------------------
DatabaseName  JavaScript Library Database
DatabaseID    JavaScript
Version       4.0
;-----------------------------------------------------------------------------
; Statement library
;-----------------------------------------------------------------------------
Statement Display the message in the status line.
BeginStat window.status = 'Write message here:';
;-----------------------------------------------------------------------------
Statement Display the message in the status line (for onMouseOver).
BeginStat window.status = 'Write message here:'; return true;
;-----------------------------------------------------------------------------
Statement Display the message box.
BeginStat alert('Write message here:');
;-----------------------------------------------------------------------------
Statement Set the document bacground color to red.
BeginStat document.bgColor = 'red'; /* Same result when '#FF0000' is specified. */
;-----------------------------------------------------------------------------
Statement Set the document bacground color to green.
BeginStat document.bgColor = 'green'; /* Same result when '#008000' is specified. */
;-----------------------------------------------------------------------------
Statement Set the document bacground color to blue.
BeginStat document.bgColor = 'blue'; /* Same result when '#0000FF' is specified. */
;-----------------------------------------------------------------------------
Statement Set the document bacground color to specified color.
BeginStat document.bgColor = 'yellow';  /* Specify color name or hex number. */
;-----------------------------------------------------------------------------
Statement Display the last update time of the document.
BeginStat document.write('Last updated: ', document.lastModified, "<BR>");
;-----------------------------------------------------------------------------
; Procedure library
;-----------------------------------------------------------------------------
Procedure Display the date (dddd,MMMM dd,yyyy) .
;-----------------------------------------------------------------------------
BeginProc
var now = new Date();
var yr  = now.getYear();
var mn  = now.getMonth() + 1;
var dt  = now.getDate();
var dy  = now.getDay();

var fyr = (yr > 99) ? fyr = yr : 1900 + yr;   // Year 2000 processing

var dys = new Array("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday");
var dy = dys[dy];
var mns = new Array("January","February","March","April","May","June","July","August","September","October","November","December");
var mn = mns[mn-1];

var msg  = dy + ", " + mn + " " + dt + ", " + fyr;

document.write(msg + " " + "<BR>");
EndProc
;-----------------------------------------------------------------------------
Procedure Determine which browser is in use by the visitor.
;-----------------------------------------------------------------------------
BeginProc
var ns = (navigator.appName.indexOf("Netscape")  >= 0); // "Netscape..."  ?
var ie = (navigator.appName.indexOf("MIcrosoft") >= 0); // "Microsoft..." ?
var vr = parseInt(navigator.appVersion);                // Version

if (ns)
{
  // Write the code for Netscape Navigator below.

}

if (ie)
{
  // Write the code for Internet Explorer below.

}
EndProc
;-----------------------------------------------------------------------------
Procedure Display the input value in the Dialog.
;-----------------------------------------------------------------------------
BeginProc
var result = prompt("Enter value in the field below", "");
document.writeln("You entered \"" + result + "\" ");
EndProc
;-----------------------------------------------------------------------------
; Function library
;-----------------------------------------------------------------------------
Function  Display the date and time (dddd,MMMM dd,yyyy xx:xx:xx) in the status line.
Syntax    _HpbClockStatusJpn();
;-----------------------------------------------------------------------------
BeginFunc
// _HpbClockStatusJpn: Display the date and time in the status line.
//
var _hcsjtmrID = null;
function _HpbClockStatusJpn()
{
  window.clearTimeout(_hcsjtmrID);

  var now = new Date();
  var yr  = now.getYear();
  var mn  = now.getMonth() + 1;
  var dt  = now.getDate();
  var dy  = now.getDay();
  var hh  = now.getHours();
  var mm  = now.getMinutes();
  var ss  = now.getSeconds();

  var fyr = (yr > 99) ? fyr = yr : 1900 + yr;   // Year 2000 processing

  var dys = new Array("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday");
  var dy = dys[dy];

  var mns = new Array("January","February","March","April","May","June","July","August","September","October","November","December");
  var mn = mns[mn-1];

  var msg  = dy + ", " + mn + " " + dt + ", " + fyr + " ";
      msg +=  hh + ":" + mm + ":" + ss;

  window.status = msg;

  _hcsjtmrID = window.setTimeout("_HpbClockStatusJpn()", 1000);
}
EndFunc
;-----------------------------------------------------------------------------
Function  Display the date and time (MM/DD/YY HH:MM:SS) in the status line.
Syntax    _HpbClockStatusLoc();
;-----------------------------------------------------------------------------
BeginFunc
// _HpbClockStatusLoc: Display the date and time in the status line.
//
var _hcsltmrID = null;
function _HpbClockStatusLoc()
{
  window.clearTimeout(_hcsltmrID);

  var now = new Date();

  window.status = now.toLocaleString();

  _hcsltmrID = window.setTimeout("_HpbClockStatusLoc()", 1000);
}
EndFunc
;-----------------------------------------------------------------------------
Function  Display the scrolling message in the status line.
Syntax    _HpbScrollStatus('Write message here:');
;-----------------------------------------------------------------------------
BeginFunc
// _HpbScrollStatus: Display scrolling message in the status line.
//
var _hsstmrID = null;
var _hsspos   = 80;
function _HpbScrollStatus(msg, delay)
{
  if (typeof delay == "undefined") delay = 100;

  window.clearTimeout(_hsstmrID);

  var statmsg = "";

  if (_hsspos >= 0)
  {
    for (s = 0; s < _hsspos; s++)
    {
      statmsg += " ";
    }

    statmsg += msg;
  }
  else
  {
    statmsg = msg.substring(-_hsspos, msg.length);
  }

  window.status = statmsg;
  
  _hsspos = (-_hsspos > msg.length) ? 80 : _hsspos - 1;  

  fname = "_HpbScrollStatus('" + msg + "')";
  _hsstmrID = window.setTimeout(fname, delay);
}
EndFunc
;-----------------------------------------------------------------------------
Function  Stop displaying the scrolling message in the status line.
Syntax    _HpbStopScrollStatus();
;-----------------------------------------------------------------------------
BeginFunc
// _HpbStopScrollStatus: Stop displaying the scrolling message in the status line.
//
function _HpbStopScrollStatus()
{
  if (typeof _hsstmrID != "undefined") 
  { 
    window.clearTimeout(_hsstmrID);
    window.status = window.defaultStatus;
    _hsstmrID = null;
  }
}
EndFunc
;-----------------------------------------------------------------------------
Function  Display the message in the status line one letter at a time.
Syntax    _HpbWipeStatus('Write message here:');
;-----------------------------------------------------------------------------
BeginFunc
// _HpbWipeStatus: Display the message in the status line one letter at a time.
//
var _hwstmrID = null;
var _hwscnt = 0;
function _HpbWipeStatus(msg, delay)
{
  if (typeof delay == "undefined") delay = 150;

  window.clearTimeout(_hwstmrID);

  _hwscnt = (_hwscnt == msg.length) ? 0 : ++_hwscnt;
  window.status = msg.substring(0, _hwscnt);

  fname = "_HpbWipeStatus('" + msg + "')";
  _hwstmrID = window.setTimeout(fname, delay);
}
EndFunc
;-----------------------------------------------------------------------------
Function  Stop displaying the message in the status line one letter at a time.
Syntax    _HpbStopWipeStatus();
;-----------------------------------------------------------------------------
BeginFunc
// _HpbStopWipeStatus: Stop displaying the message in the status line one letter at a time.
//
function _HpbStopWipeStatus()
{
  if (typeof _hwstmrID != "undefined")
  {
    window.clearTimeout(_hwstmrID);
    window.status = window.defaultStatus;
    _hwstmrID = null;    
  }
}
EndFunc
